###
# Copyright (c) 2022, Pratyush Desai
# All rights reserved.
#
#
###

from supybot import conf, registry
try:
    from supybot.i18n import PluginInternationalization
    _ = PluginInternationalization('Playlists')
except:
    # Placeholder that allows to run the plugin on a bot
    # without the i18n module
    _ = lambda x: x


def configure(advanced):
    from supybot.questions import expect, anything, something, yn
    conf.registerPlugin('Playlists', True)


Playlists = conf.registerPlugin('Playlists')


conf.registerGlobalValue(
    Playlists,
    "youtubeDeveloperKey",
    registry.String("", _("""Google YT Data V3 API key. Required."""), private=True),
)